WordPress.org

Support

Support » Installation » Disable Plugin Protection

Disable Plugin Protection

  • How can I disable the new Plugin Protection feature in 2.2?

    a) It doesnt work properly. Even it says “Plugin could not be activated because it triggered a fatal error.” The Plugins is actually active !

    b) More importantly; It prevents me to see any error message. I need to see the error message, so that I may have an idea how to solve the problem.

    How can I disable it?

    Thanks,
    HG

Viewing 1 replies (of 1 total)
  • Same problem here.

    I solved this problem.
    Open plugins.php and replace the code:

    wp_redirect('plugins.php?error=true'); // we'll override this later if the plugin can be included without fatal error
    ob_start();
    @include(ABSPATH . PLUGINDIR . '/' . $plugin);
    $current[] = $plugin;
    sort($current);
    update_option('active_plugins', $current);
    do_action('activate_' . $plugin);
    ob_end_clean();

    with the code:

    <p>$current[] = $plugin;
    sort($current);
    update_option('active_plugins', $current);
    include(ABSPATH . PLUGINDIR . '/' . $plugin);
    do_action('activate_' . $plugin);</p>

    …this way it will throw a reassuring parse error 🙂

Viewing 1 replies (of 1 total)
  • The topic ‘Disable Plugin Protection’ is closed to new replies.
Skip to toolbar